/// <reference types="react" />
import { ItemWithThumb, PrepareThumbsData, RenderItemProps, SpringCarouselWithThumbs } from '../types';
declare type Props<T extends 'use-spring' | 'use-transition'> = {
    withThumbs?: boolean;
    thumbsSlideAxis: SpringCarouselWithThumbs['thumbsSlideAxis'];
    prepareThumbsData?: PrepareThumbsData<T>;
    items: ItemWithThumb<T>[];
    renderThumbFnProps: RenderItemProps<T>;
};
export declare function useThumbsModule<T extends 'use-spring' | 'use-transition'>({ thumbsSlideAxis, withThumbs, prepareThumbsData, items, renderThumbFnProps, }: Props<T>): {
    thumbsFragment: JSX.Element | null;
    handleScroll: (activeItem: number) => void;
};
export {};
